> For the complete documentation index, see [llms.txt](https://docs.lagoon.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lagoon.finance/vault/how-to/pause-a-vault.md).

# Pause a vault

## Overview

The `pause()` function halts all core operations of the vault and can only be executed by the vault `admin`. This is a critical administrative function used for emergency situations or maintenance periods.

## Function signature

```solidity
function pause() public onlyOwner
```

## Operations affected

The following core operations are halted when the vault is paused:

* **All request types** - Any pending or new requests are blocked, including:
  * `requestDeposit()`
  * `requestRedeem()`
  * `syncDeposit()`
  * `claimSharesAndRequestRedeem()`
  * `cancelRequestDeposit()`
  * `withdraw()`
  * `redeem()`
  * `deposit()`
  * `mint()`
* **Settlement operations** - Both deposit and redeem settlements are halted as well as closing operations, including:
  * `settleDeposit()`
  * `settleRedeem()`
  * `initiateClosing()`
  * `close()`
* **NAV proposals** - The NAV update proposal functionality is disabled, including:
  * `updateNewTotalAssets()`
* **Share transfers** - The `_update()` function is paused resulting in all transfers of shares being blocked
* **Operator operations** - The `setOperator()` function is disabled

## Usage example

```solidity
// Only the owner can call this function
vault.pause();
```

You can also call pause from etherscan or any other Ethereum client that allows contract interaction

## Events

This function emits a `Paused` event:

```solidity
event Paused(address account);
```

## Security considerations

* ⚠️ **Emergency use**: Should only be used in emergency situations or planned maintenance
* ⚠️ **User impact**: All user operations will be blocked until `unpause()` is called

## Related functions

* `unpause()` - Resumes vault operations
* `paused()` - Checks if the vault is currently paused

## Error conditions

* Reverts if called by any address other than the owner


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.lagoon.finance/vault/how-to/pause-a-vault.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
